Project Triggers

Get Project Triggers within a given Project

GET /api/{spaceId}/projects/{projectId}/triggers

Also reachable at /api/projects/{projectId}/triggers, /api/spaces/{spaceIdentifier}/projects/{projectId}/triggers.

Path Parameters

  • projectId string (required)
    ID of the Project to get Project Triggers for.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • partialName string
    A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.
  • runbookTags array of string
    A list of Runbook Tags to filter tag based triggers. Tag based triggers matching any of these tags will be included.
  • runbooks array of string
    A list of Runbook IDs, to limit the matching of Project Triggers to those with a particular Runbook ID. Example: [“Runbooks-1”, “Runbooks-2”].
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.
  • triggerActionCategory enum
    Filters the Project Triggers using the specified Trigger Action Category.
    Allowed values: Deployment, Runbook.
  • triggerActionType enum
    Filters the Project Triggers using the specified Trigger Action Type.
    Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.

Response

200 — The requested list of Project Triggers

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Action object
    • Description string
    • Filter object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsDisabled boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • ProjectId string
    • SpaceId string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Action": {
        "ActionType": "AutoDeploy",
        "Id": "string",
        "LastModifiedBy": "string",
        "LastModifiedOn": "2020-01-01T00:00:00.000Z",
        "Links": {}
      },
      "Description": "string",
      "Filter": {
        "FilterType": "MachineFilter",
        "Id": "string",
        "LastModifiedBy": "string",
        "LastModifiedOn": "2020-01-01T00:00:00.000Z",
        "Links": {}
      },
      "Id": "string",
      "IsDisabled": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "ProjectId": "string",
      "SpaceId": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new project trigger

POST /api/{spaceId}/projects/{projectId}/triggers

Also reachable at /api/projects/{projectId}/triggers, /api/spaces/{spaceIdentifier}/projects/{projectId}/triggers.

Path Parameters

  • projectId string (required)
    Id of the project to create a trigger in.
  • spaceId string (required)
    Id of the space where the project is located.

Request Body

  • Action object (required)
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
    Description for the project trigger.
  • Filter object (required)
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • IsDisabled boolean
    Disables the trigger from being run when set.
  • Name string (required)
    Name of the project trigger. Minimum length 1.
  • ProjectId string (required)
    Id of the project to create a trigger in.
  • SpaceId string (required)
    Id of the space where the project is located.

Response

201 — Created

  • Action object
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
  • Filter object
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • ProjectId string
  • SpaceId string

Example Request

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "IsDisabled": true,
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Example Response

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Id": "string",
  "IsDisabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Get project trigger by project id and trigger id

GET /api/{spaceId}/projects/{projectId}/triggers/{id}

Also reachable at /api/projects/{projectId}/triggers/{id}, /api/spaces/{spaceIdentifier}/projects/{projectId}/triggers/{id}.

Path Parameters

  • id string (required)
    ID of the Project Trigger to load.
  • projectId string (required)
    Id of the project that trigger is in.
  • spaceId string (required)
    Id of the space where the project is located.

Response

200 — The requested Project Trigger

  • Action object
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
  • Filter object
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • ProjectId string
  • SpaceId string

Example Response

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Id": "string",
  "IsDisabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Modify a ProjectTriggerResource by ID

PUT /api/{spaceId}/projects/{projectId}/triggers/{id}

Also reachable at /api/projects/{projectId}/triggers/{id}, /api/spaces/{spaceIdentifier}/projects/{projectId}/triggers/{id}.

Updates an existing project trigger

Path Parameters

  • id string (required)
    Id of the project trigger.
  • projectId string (required)
    ProjectId of the project trigger.
  • spaceId string (required)
    Id of the space where the project is located.

Request Body

  • Action object
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
    Description for the project trigger.
  • Filter object
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Id string (required)
    Id of the project trigger.
  • IsDisabled boolean
    Disables the trigger from being run when set.
  • Name string
    Name of the project trigger.
  • ProjectId string (required)
    ProjectId of the project trigger.
  • SpaceId string (required)
    Id of the space where the project is located.

Response

200 — Modified project trigger resource response

  • Action object
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
  • Filter object
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • ProjectId string
  • SpaceId string

Example Request

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Id": "string",
  "IsDisabled": true,
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Example Response

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Id": "string",
  "IsDisabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Delete an existing Project Trigger

DELETE /api/{spaceId}/projects/{projectId}/triggers/{id}

Also reachable at /api/projects/{projectId}/triggers/{id}, /api/spaces/{spaceIdentifier}/projects/{projectId}/triggers/{id}.

Path Parameters

  • id string (required)
    Id of the project trigger to delete.
  • projectId string (required)
    Id of the project to create a trigger in.
  • spaceId string (required)
    Id of the space where the project is located.

Response

200 — Confirmation that the Project Trigger was deleted

Example Response

JSON
{}

Get a list of Project Triggers

GET /api/{spaceId}/projecttriggers

Also reachable at /api/projecttriggers, /api/spaces/{spaceIdentifier}/projecttriggers.

Gets all the Project Triggers in the supplied Octopus Deploy Space, sorted by Id

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • runbooks array of string
    A list of Runbook IDs, to limit the matching of Project Triggers to those with a particular Runbook ID. Example: [“Runbooks-1”, “Runbooks-2”].
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested list of Project Triggers

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Action object
    • Description string
    • Filter object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsDisabled boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • ProjectId string
    • SpaceId string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Action": {
        "ActionType": "AutoDeploy",
        "Id": "string",
        "LastModifiedBy": "string",
        "LastModifiedOn": "2020-01-01T00:00:00.000Z",
        "Links": {}
      },
      "Description": "string",
      "Filter": {
        "FilterType": "MachineFilter",
        "Id": "string",
        "LastModifiedBy": "string",
        "LastModifiedOn": "2020-01-01T00:00:00.000Z",
        "Links": {}
      },
      "Id": "string",
      "IsDisabled": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "ProjectId": "string",
      "SpaceId": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new project trigger

POST /api/{spaceId}/projecttriggers

Also reachable at /api/projecttriggers, /api/spaces/{spaceIdentifier}/projecttriggers.

Path Parameters

  • spaceId string (required)
    Id of the space where the project is located.

Request Body

  • Action object (required)
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
    Description for the project trigger.
  • Filter object (required)
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • IsDisabled boolean
    Disables the trigger from being run when set.
  • Name string (required)
    Name of the project trigger. Minimum length 1.
  • ProjectId string (required)
    Id of the project to create a trigger in.
  • SpaceId string (required)
    Id of the space where the project is located.

Response

201 — Created

  • Action object
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
  • Filter object
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • ProjectId string
  • SpaceId string

Example Request

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "IsDisabled": true,
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Example Response

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Id": "string",
  "IsDisabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Get a Project Trigger by ID

GET /api/{spaceId}/projecttriggers/{id}

Also reachable at /api/projecttriggers/{id}, /api/spaces/{spaceIdentifier}/projecttriggers/{id}.

Path Parameters

  • id string (required)
    ID of the Project Trigger to load.
  • spaceId string (required)
    Id of the space where the project is located.

Response

200 — The requested Project Trigger

  • Action object
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
  • Filter object
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • ProjectId string
  • SpaceId string

Example Response

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Id": "string",
  "IsDisabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Modify a ProjectTriggerResource by ID

PUT /api/{spaceId}/projecttriggers/{id}

Also reachable at /api/projecttriggers/{id}, /api/spaces/{spaceIdentifier}/projecttriggers/{id}.

Updates an existing project trigger

Path Parameters

  • id string (required)
    Id of the project trigger.
  • spaceId string (required)
    Id of the space where the project is located.

Request Body

  • Action object
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
    Description for the project trigger.
  • Filter object
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Id string (required)
    Id of the project trigger.
  • IsDisabled boolean
    Disables the trigger from being run when set.
  • Name string
    Name of the project trigger.
  • ProjectId string (required)
    ProjectId of the project trigger.
  • SpaceId string (required)
    Id of the space where the project is located.

Response

200 — Modified project trigger resource response

  • Action object
    • ActionType enum
      Allowed values: AutoDeploy, DeployLatestRelease, DeployNewRelease, DeployLatestReleaseToEnvironment, RunRunbook, CreateRelease.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Description string
  • Filter object
    • FilterType enum
      Allowed values: MachineFilter, DailySchedule, DaysPerWeekSchedule, DaysPerMonthSchedule, CronExpressionSchedule, OnceDailySchedule, ContinuousDailySchedule, FeedFilter, ArcFeedFilter, GitFilter, WebhookFilter.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDisabled boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • ProjectId string
  • SpaceId string

Example Request

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Id": "string",
  "IsDisabled": true,
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Example Response

JSON
{
  "Action": {
    "ActionType": "AutoDeploy",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Description": "string",
  "Filter": {
    "FilterType": "MachineFilter",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "Id": "string",
  "IsDisabled": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "ProjectId": "string",
  "SpaceId": "string"
}

Delete an existing Project Trigger

DELETE /api/{spaceId}/projecttriggers/{id}

Also reachable at /api/projecttriggers/{id}, /api/spaces/{spaceIdentifier}/projecttriggers/{id}.

Path Parameters

  • id string (required)
    Id of the project trigger to delete.
  • spaceId string (required)
    Id of the space where the project is located.

Response

200 — Confirmation that the Project Trigger was deleted

Example Response

JSON
{}